#
# spec file for package perl-Mail-Box
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Mail-Box
Version:        2.120
Release:        1.11
%define cpan_name Mail-Box
Summary:        Manage a Mailbox, a Folder with Messages
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Mail-Box/
Source0:        http://www.cpan.org/authors/id/M/MA/MARKOV/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Date::Format)
BuildRequires:  perl(Date::Parse)
BuildRequires:  perl(Devel::GlobalDestruction) >= 0.09
BuildRequires:  perl(Digest::HMAC_MD5)
BuildRequires:  perl(Encode) >= 2.26
BuildRequires:  perl(File::Remove) >= 0.20
BuildRequires:  perl(IO::Scalar)
BuildRequires:  perl(MIME::Types) >= 1.004
BuildRequires:  perl(Mail::Address) >= 2.17
BuildRequires:  perl(Object::Realize::Later) >= 0.19
BuildRequires:  perl(TAP::Harness) >= 3.00
BuildRequires:  perl(Test::Pod) >= 1.00
BuildRequires:  perl(Time::Zone)
BuildRequires:  perl(URI) >= 1.23
BuildRequires:  perl(User::Identity) >= 0.94
Requires:       perl(Date::Format)
Requires:       perl(Date::Parse)
Requires:       perl(Devel::GlobalDestruction) >= 0.09
Requires:       perl(Digest::HMAC_MD5)
Requires:       perl(Encode) >= 2.26
Requires:       perl(File::Remove) >= 0.20
Requires:       perl(IO::Scalar)
Requires:       perl(MIME::Types) >= 1.004
Requires:       perl(Mail::Address) >= 2.17
Requires:       perl(Object::Realize::Later) >= 0.19
Requires:       perl(TAP::Harness) >= 3.00
Requires:       perl(Test::Pod) >= 1.00
Requires:       perl(Time::Zone)
Requires:       perl(URI) >= 1.23
Requires:       perl(User::Identity) >= 0.94
%{perl_requires}

%description
A Mail::Box::Manager creates 'Mail::Box' objects. But you already knew,
because you started with the Mail::Box-Overview manual page. That page is
obligatory reading, sorry!

'Mail::Box' is the base class for accessing various types of mailboxes
(folders) in a uniform manner. The various folder types vary on how they
store their messages, but when some effort those differences could be
hidden behind a general API. For example, some folders store many messages
in one single file, where other store each message in a separate file
withing the same directory.

No object in your program will be of type 'Mail::Box': it is only used as
base class for the real folder types. 'Mail::Box' is extended by

Extends "DESCRIPTION" in Mail::Reporter.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc ChangeLog examples LICENSE README README.FAQ README.todo TODO.v2

%changelog
* Thu Sep 22 2016 coolo@suse.com
- updated to 2.120
  see /usr/share/doc/packages/perl-Mail-Box/ChangeLog
  version 2.120: Wed 21 Sep 16:41:23 CEST 2016
  Fixes:
  - revert change of parts(), because it breaks code/the tests.
  rt.cpan.org#118016 [Tom Callaway]
  version 2.119: Mon Sep 19 22:49:50 CEST 2016
  Fixes:
  - Mail::Message::parts() did not return the $msg itself when
  there are multiparts. [Peter Gunn]
  - Cygwin is not windows.  rt.cpan.org#115286
  - include examples in the man-pages
  Improvements:
  - require perl 5.8.5
  - ::MailDir scans faster with tainting off
  - larger Mail::Message::build() example in SYNOPSIS [Andrew Beverley]
  - $msg->build options file and files now exactly the same.
  - indicate what ::Field::attributes() may return dupplicated
  keys.  rt.cpan.org #114589 [Randy Diffenderfer]
* Thu Apr 16 2015 coolo@suse.com
- updated to 2.118
  see /usr/share/doc/packages/perl-Mail-Box/ChangeLog
  version 2.118: Thu Feb 26 12:52:42 CET 2015
  Fixes:
  - imap: reconstruction of foldername from url should be kept
  in folderdir.
  rt.cpan.org#82983 [Rotkraut]
  - ::Body::Scalar::file() did not construct ::FastScalar correctly
  [Andrew Beverley]
  - fix attribute continuations
  rt.cpan.org#90342 [Claus Jeppesen]
  Improvements:
  - accept blanks in some Content-* fields
  rt.cpan.org#99183 [Randy Diffenderfer]
  version 2.117: Sun Aug 24 15:19:01 CEST 2014
  Fixes:
  - missed a line from the patch of
  rt.cpan.org#98225 [Andrew Beverley]
  version 2.116: Sat Aug 23 11:27:16 CEST 2014
  Improvements:
  - add Mail::Transport::SMTP->new(esmtp_options) and
  trySend(esmtp_options)
  rt.cpan.org#97630 [Andrew Beverley]
  - add Mail::Transport::SMTP->new(from)
  rt.cpan.org#97636 [Andrew Beverley]
  - ::Field::Date parse support for numeric months (format used
  by some broken clients/Yahoo auto-responder)
  rt.cpan.org#98225 [Andrew Beverley]
  version 2.115: Wed May 28 15:27:48 CEST 2014
  Improvements:
  - All regression tests pass on Windows!
  [Markus Spann]
  version 2.114: Thu May  8 10:49:17 CEST 2014
  Fixes:
  - check for Test::Pod on Windows [cpantesters]
  - do not break PATH in test.pl on Windows [Markus Spann]
  - fix ::Locker::POSIX "read-only" error in Perl >5.18.2 [Jim In Aus]
  version 2.113: Wed Apr 16 14:07:37 CEST 2014
  Fixes:
  - revert change which replaced IO::File by open($fh), because it
  does not support tell in Perl 5.10  [Scott Smedley]
  version 2.112: Fri Mar 14 13:18:57 CET 2014
  Changes:
  - do not attempt POSIX lock on Windows [Christian Walde]
  Fixes:
  - ::Field::Date do not attempt to restore TZ with undef.
  [Andrew Beverley]
  - many regression test fixes for Windows [Christian Walde]
  Improvements:
  - Mail::Transport::SMTP uses Net::SMTP which sometimes needs
  Net::STMPS being installed. [Scott Smedley]
  version 2.111: Fri Jan 24 11:21:30 CET 2014
  Fixes:
  - do not explicitly clean-up head and body during DESTROY of a
  message, because those may be reused in other messages.
  Fix for rebuild bug, reported by [Andrew Beverley]
  - open files in ::Body::File with :raw, not to corrupt line-
  endings on Windows. rt.cpan.org#92374 [Joseph Strom]
  Improvements:
  - add dispositionFilename to replacement text of deleted parts
  [Mark Nienberg]
  - change documentation syntax
  version 2.110: Sun Jan  5 18:50:59 CET 2014
  Fixes:
  - ::Field::Date must compute in UTC [Andrew Beverley]
  - ::Field::Date negated -0600 timestamp [Andrew Beverley]
  - ::Field::Attribute should allow blanks around the '='
  rt.cpan.org#90035 [Max Bowsher]
  - ::dispositionFilename() should use a study()d header
  rt.cpan.org#90342 [Claus Jeppesen]
  - begin :html in ::Box-Index
  Improvements:
  - add Mail::Message::Construct::Rebuild::removeExtraAlternativeText()
  Implemented by [Andrew Beverley]
  version 2.109: Mon Aug 19 12:55:30 CEST 2013
  Fixes:
  - ::Field::Date format may lack leading 0 in the hour.
  rt.cpan.org#86716 [Andrew Beverley]
  - ::Field::Date format, rare time formats use dots in time, not
  colon.  It is illegal, but safe to support.
  rt.cpan.org#86864 [Andrew Beverley]
  - ::MBox, pass non-default subfolder extension to siblings.
  rt.cpan.org#87912 [James Wright]
  Improvements:
  - spell fixes rt.cpan.org#86450 [Salvatore Bonaccorso]
  version 2.108: Tue Jun 25 09:21:59 CEST 2013
  Fixes:
  - Mail::Box::Locker::FcntlLock cannot set l_pid, read only
  Improvements:
  - use Devel::GlobalDestruction
  rt.cpan.org#80611 [Ribasushi]
  - imap4: support TLS
  rt.cpan.org#82990 [Rolf Krahl]
* Thu Jun 13 2013 chris@computersalat.de
- fix build for SLE_11
* Fri Jan 25 2013 chris@computersalat.de
- update to 2.107
  - Fixes:
  * unset $ENV{PERLIO} in test.pl and open more files explicitly
    as ":raw"
    [Thomas Krichel]
  * script/mailbox2html contained a few errors like '$ENV{}' (vars
    inside single quotes)  [John Delacour]
  * ::POP3s should use ::POP3::Message (without 's') [Gabriel Reyes]
  * folder->new(message_type) documentation was mistaken about the
    default.
  - Improvements:
  * add $date to Mail::Transport::IMAP4::appendMessage()
    rt.cpan.org#79680 [Daniel Westermann-Clark]
  * remove Mail::Transport::Dbx from the optional extensions: too
    old. [John Delacour]
- version 2.106: Wed Aug 15 23:49:44 CEST 2012
  - Fixes:
  * $field->study did not handle trailing new-lines correctly.
  * perl 5.16 complains about overload +0, which should have
    been 0+    rt.cpan.org@77997 [Toby Inkster]
  * resolved warning in test tests/30encode/90body.t
  - Improvements:
  * new method $part->partNumber()
- rebase fix_use_lib_in_scripts patch
* Mon May  7 2012 pascal.bleser@opensuse.org
- update to 2.105:
  * warn when transfer-encoding is done without explicit charset.
    This flags hard to find bugs in message construction.
  * add overloading to ::Field::Attribute objects, used in study()
  * $body->decoded is now optimized when a conversion is needed
    between charsets which are aliases of each other, or spelled
    differently.
* Mon Apr 23 2012 pascal.bleser@opensuse.org
- update to 2.104:
  * fixed: ::Body::decoded() seemed to work only for plain/text
* Fri Apr 20 2012 pascal.bleser@opensuse.org
- split out documentation files into doc subpackage
- rewrote spec file to list pod files as documentation
- add scripts as their own subpackages
- update to 2.103:
  * when lines are over 997 chars, then the transfer-encoding should
    automatically change from 'none' into 'quoted-printable' or 'base64'
- changes from 2.102:
  * regex which matched attributes dumped core on hugh attributes RT#69414
  * correct synopsis of ::Thread::Manager
  * ::Thread::Node::threadToString uses study() on subject
* Fri Nov 18 2011 coolo@suse.com
- update to 2.101, see Changes
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Fri Apr  2 2010 chris@computersalat.de
- update to version 2.093
  o Fixes:
  - rewrite of Mail::Message::Full:decode(), because original
    trick for blank removal kept on biting me.  Now implemented
    without trick.
    rt.cpan.org#52600 [Dmitry Bigunyak]
  - make text/plain default when a body is created, as promised
    by the documentation.
    rt.cpan.org#52278 [Dmitry Bigunyak]
  - add toplevel() to ::Body::Multipart and ::Body::Nested to
    support reply() called on message parts.
  - fix tests-script to make MIME::Entity cleanup the msg-* files
    in the tests/ directory.
  o Improvements:
  - rewrite of SYNOPSIS for Mail::Message::Field::Addresses
    rt.cpan.org#43703 [Dmitry Bigunyak]
  - added Mail::Box::Locker::FcntlLock, contributed by Jim In Aus
    rt.cpan.org#48568 [Jim in Aus]
  - support additional headers to a reply message.
  - added explanation of character-set "PERL" for a ::Body
    (suggested by [Dmitry Bigunyak])
- for older changes please see Changes file
- spec mods
  o fixed HEADER
  o sort TAGS
  o fix deps
  o updated description
  o macros
  o moved changelog to changes file
- added perl-macros
* Fri Oct 31 2008 rbos@opensuse.org
- initial build
